Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jchrest.architecture
Class Perceiver

    java.lang.Object
      jchrest.architecture.Perceiver

    public class Perceiver

extends java.lang.Object

Perceiver class manages the model's interaction with an external, two-dimensional scene.

Constructor Summary
`protected` | `Perceiver(Chrest model)`

Method Summary
`void` | `clearFixations()`
`int` | `getFieldOfView()`
`java.util.List<Fixation>` | `getFixations()`
`FixationType` | `getFixationsType(int fixation)`
`int` | `getFixationsX(int fixation)`
`int` | `getFixationsY(int fixation)`
`int` | `getFixationX()`
`int` | `getFixationY()`
`java.lang.String` | `getHeuristicDescription()`
`int` | `getNumberFixations()`
`java.util.List<Node>` | `getRecognisedNodes()`
`void` | `moveEye()` Find the next fixation point using one of the available heuristics, and simply move the eye to that point.
`void` | `moveEyeAndLearn()` Find the next fixation point using one of the available heuristics, and then learn from the new pattern.
`void` | `setFieldOfView(int fov)`
`void` | `setFixationX(int x)`
`void` | `setFixationY(int y)`
`void` | `setScene(Scene scene)`
`void` | `start()` Initial fixation point - the centre of the scene.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Perceiver

    protected Perceiver(Chrest model)

Method Detail

### getFixationX

    public int getFixationX()

### setFixationX

    public void setFixationX(int x)

### getFixationY

    public int getFixationY()

### setFixationY

    public void setFixationY(int y)

### getFieldOfView

    public int getFieldOfView()

### setFieldOfView

    public void setFieldOfView(int fov)

### setScene

    public void setScene(Scene scene)

### start

    public void start()

  Initial fixation point - the centre of the scene.

### moveEyeAndLearn

    public void moveEyeAndLearn()

  Find the next fixation point using one of the available heuristics, and then learn from the new pattern.

### moveEye

    public void moveEye()

  Find the next fixation point using one of the available heuristics, and simply move the eye to that point.

### getHeuristicDescription

    public java.lang.String getHeuristicDescription()

### getNumberFixations

    public int getNumberFixations()

### getFixationsX

    public int getFixationsX(int fixation)

### getFixationsY

    public int getFixationsY(int fixation)

### getFixationsType

    public FixationType getFixationsType(int fixation)

### clearFixations

    public void clearFixations()

### getFixations

    public java.util.List<Fixation> getFixations()

### getRecognisedNodes

    public java.util.List<Node> getRecognisedNodes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD